package info.aspirecn.cloud.yysj.entity;

import com.fasterxml.jackson.annotation.JsonAlias;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 收货方信息，运单详情成员
 *
 * @author lixinxu
 */
@Data
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class ConsigneeInfo {

    @ApiModelProperty(value = "收货方")
    @JsonAlias(value = "Consignee")
    private	String	consignee;

    @ApiModelProperty(value = "收货方统一社会信用代码或证件号码")
    @JsonAlias(value = "ConsigneeID")
    private	String	consigneeID;

    @ApiModelProperty(value = "收货地址")
    @JsonAlias(value = "GoodsReceiptPlace")
    private	String	goodsReceiptPlace;

    @ApiModelProperty(value = "收货地行政区划。参照最新版《中华人民共和国行政区划代码》（GB/T 2260-2017），精确到区县。")
    @JsonAlias(value = "CountrySubdivisionCode")
    private	String	countrySubdivisionCode;
}
