package info.aspirecn.cloud.yysj.entity;

import com.fasterxml.jackson.annotation.JsonAlias;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 托运人信息，运单详情成员
 *
 * @author lixinxu
 */
@Data
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class ConsignorInfo {

    @ApiModelProperty(value = "托运人")
    @JsonAlias(value = "Consignor")
    private	String	consignor;

    @ApiModelProperty(value = "托运人统一社会信用代码或证件号码")
    @JsonAlias(value = "ConsignorID")
    private	String	consignorID;

    @ApiModelProperty(value = "装货地址")
    @JsonAlias(value = "PlaceOfLoading")
    private	String	placeOfLoading;

    @ApiModelProperty(value = "装货地行政区划。参照最新版《中华人民共和国行政区划代码》（GB/T 2260-2017），精确到区县。")
    @JsonAlias(value = "CountrySubdivisionCode")
    private	String	countrySubdivisionCode;
}
