package info.aspirecn.cloud.yysj.entity;

import com.fasterxml.jackson.annotation.JsonAlias;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 订单，订单列表使用
 *
 * @author lixinxu
 */
@Data
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class Waybill {

    @ApiModelProperty(value = "编号")
    private	String	id;

    @ApiModelProperty(value = "运单号")
    @JsonAlias(value = "RequestInfo.ShippingNoteNumber")
    private	String	waybillNum;

    @ApiModelProperty(value = "车牌号")
    @JsonAlias(value = "RequestInfo.VehicleInfo.VehicleNumber")
    private	String	carNum;

    @ApiModelProperty(value = "发货地")
    @JsonAlias(value = "RequestInfo.VehicleInfo.PlaceOfLoading")
    private	String	placeOfDispatch;

    @ApiModelProperty(value = "到货的")
    @JsonAlias(value = "RequestInfo.VehicleInfo.GoodsReceiptPlace")
    private	String	placeOfArrival;

    @ApiModelProperty(value = "货物名称")
    @JsonAlias(value = "RequestInfo.VehicleInfo.GoodsInfo")
    private	String	goodsName;

    @ApiModelProperty(value = "货物重量（KG）")
    @JsonAlias(value = "RequestInfo.VehicleInfo.GoodsInfo")
    private	String	goodsWeight;

    @ApiModelProperty(value = "驾驶员")
    @JsonAlias(value = "RequestInfo.VehicleInfo.DriverName")
    private	String	driver;

    @ApiModelProperty(value = "核验总结果, 0: 未核验; 1: 一致; 2: 不一致; 3: 其他")
    @JsonAlias(value = "MG_Consistent")
    private	String	checkTotalRes;

    @ApiModelProperty(value = "请求时间")
    @JsonAlias(value = "DateTime")
    private	String	requestTime;
}
